Download it now!
Bug 120877 - KDE5: There is no Checkbox for some options in View (LO Calc)
Summary: KDE5: There is no Checkbox for some options in View (LO Calc)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-24 14:12 UTC by Vera Blagoveschenskaya
Modified: 2019-01-23 00:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
formula-bar (93.95 KB, image/png)
2018-10-24 14:13 UTC, Vera Blagoveschenskaya
Details
gtk3-ok (98.17 KB, image/png)
2018-10-24 14:13 UTC, Vera Blagoveschenskaya
Details
view-toolbars-formula (165.02 KB, image/png)
2018-11-29 07:32 UTC, Vera Blagoveschenskaya
Details
new screen (200.72 KB, image/png)
2019-01-15 14:11 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-10-24 14:12:33 UTC
Description:
There is no Checkbox for Formula bar in LO Calc

Steps to Reproduce:
1. LO Calc -> View

Actual Results:
There is no Checkbox for Formula bar (but switching it on/off is working)

Expected Results:
Show Checkbox for Formula bar


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-10-24 14:13:06 UTC
Created attachment 145979 [details]
formula-bar
Comment 2 Vera Blagoveschenskaya 2018-10-24 14:13:26 UTC
Created attachment 145980 [details]
gtk3-ok
Comment 3 Vera Blagoveschenskaya 2018-10-24 14:35:21 UTC
The same for:

- Slidebar
- Styles
- Gallery
- Navigator
Comment 4 Michael Weghorn 2018-10-24 18:06:57 UTC
Confirmed with

Version: 6.2.0.0.alpha1+
Build ID: 9dc5234d36ebcafca36aece80b6a9b59da287cda
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded
Comment 5 Vera Blagoveschenskaya 2018-11-29 07:32:50 UTC
Created attachment 147116 [details]
view-toolbars-formula

Additional info:
There is also no checkbox for

View -> Toolbars -> Formula

Tested with

Version: 6.3.0.0.alpha0+
Build ID: b15b1a2a90fa4c239ff8a6a33e73ff50ea422abf
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-28_06:21:05
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2019-01-10 12:41:46 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4de638c14c0a74e29e213fd53cd01cad93285aa4%5E%21

tdf#120877: make menu items checkable as needed

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens (Inactive) 2019-01-10 12:42:58 UTC
I now see all the menu entries checked EXCEPT FOR Navigator. Can anyone else confirm?
Comment 8 Vera Blagoveschenskaya 2019-01-15 14:11:45 UTC
Created attachment 148329 [details]
new screen

Version: 6.3.0.0.alpha0+
Build ID: 35ea8fc24ae749b8a87b7ddb5df22ecc4f58cfd3
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-15_01:16:13
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Thanks for the fix!
Now I see all checkboxes except 
- Styles
- Gallery
(but they are also absent for gtk3) --> I think bug can be set to Resolved.

See new screenshot in the attachment.
Comment 9 Michael Weghorn 2019-01-15 14:19:16 UTC
(In reply to Katarina Behrens (CIB) from comment #7)
> I now see all the menu entries checked EXCEPT FOR Navigator. Can anyone else
> confirm?

Yes and no...
When I start Calc (with a fresh user profile), there's no checkbox for the "Navigator" entry. Once I enable the navigator, a checkbox appears, which remains even after disabling again.
All other items have checkboxes like in the gtk3 screenshot.

Version: 6.3.0.0.alpha0+
Build ID: de63114d76433b5a1f1ed0286e28545c72330630
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 Katarina Behrens (Inactive) 2019-01-15 15:46:09 UTC
Hm so let's close this issue and open a new one for the Navi, it seems to be somehow a special case
Comment 11 Vera Blagoveschenskaya 2019-01-16 06:08:53 UTC
(In reply to Katarina Behrens (CIB) from comment #10)
> Hm so let's close this issue and open a new one for the Navi, it seems to be
> somehow a special case

I can't reproduce issue with Navigator, but I will keep it in mind.
--> Set Original bug to Verified
Comment 12 Commit Notification 2019-01-23 00:30:16 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/82c1ff5177a0d182702151fba9c4256939c1322e%5E%21

tdf#120877: make menu items checkable as needed

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.